IF EXISTS (SELECT 1 FROM dbo.sysobjects WHERE ID = OBJECT_ID(N'[dbo].[sp_fco_baja_tablas]') 
AND OBJECTPROPERTY(id, N'IsProcedure') = 1)
   DROP PROCEDURE dbo.sp_fco_baja_tablas
GO
SET QUOTED_IDENTIFIER OFF
GO
CREATE PROCEDURE dbo.sp_fco_baja_tablas
(
    @vvc_tabla    varchar(30)
)
AS
BEGIN
    EXECUTE ('DROP TABLE ' + @vvc_tabla)

    EXECUTE ("DELETE fco_ala_datos_adi WHERE tabla = '" + @vvc_tabla + "'")
END
GO
GRANT EXECUTE ON sp_fco_baja_tablas TO Public
GO